import { jsx } from "react/jsx-runtime";
import { TokenSPHERE as TokenSPHERE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSPHERE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SPHERE", "data-name": "TokenSPHERE", ...props, children: /* @__PURE__ */ jsx(TokenSPHERE$1, { variant }) });
  }
);
TokenSPHERE.displayName = "TokenSPHERE";
Object.assign(TokenSPHERE, { isGdsIcon: true });
export {
  TokenSPHERE
};
